h3 {
  color: #191e57;
}

:host {
  position: relative;
  /* bottom: 60px; */
}

  :host ::ng-deep .mat-tab-body-content {
    overflow-y: auto !important;
    padding-top: 2rem;
    -ms-overflow-style: none;
    /* IE and Edge */
    scrollbar-width: none;
    /* Firefox */
  }

    :host ::ng-deep .mat-tab-body-content::-webkit-scrollbar {
      display: none;
    }

  :host ::ng-deep .mat-tab-label-active {
    color: #191e57;
  }


/* Style the tab */

.tab {
  overflow: hidden;
  border: 1px solid rgb(214, 216, 226);
}


  /* Style the buttons inside the tab */

  .tab button {
    background-color: inherit;
    float: left;
    border: none;
    outline: none;
    cursor: pointer;
    padding: 14px 16px;
    transition: 0.3s;
    font-size: 17px;
  }


    /* Create an active/current tablink class */

    .tab button.active {
      border-bottom: 4px solid #a18bd6;
    }


/* Style the tab content */

.tabcontent {
  display: block;
  padding: 6px 0px;
  border: 1px solid rgb(214, 216, 226);
  border-top: none;
  min-height: 750px;
}

.tabcontent-padding {
  padding: 6px 12px;
}

.header-switch {
  display: flex;
  flex-wrap: wrap;
  margin-left: 15px;
  text-align: right;
  margin-top: 12px;
  margin-right: 10px;
}

.kendo-panel-bar-width {
  -webkit-box-flex: 0;
  flex: 0 0 100%;
  position: relative;
  width: 100%;
  padding-left: 3px;
  padding-right: 2px;
}

.header-title {
  font-weight: 700;
}

:host ::ng-deep .k-panelbar .k-header {
  height: 70px;
}

.mat-header-accord {
  height: 70px;
}

.mat-expansion-panel-header-title-accord {
  font-size: x-large;
}

.xx-large-text {
  font-size: xx-large;
}

.x-large-text {
  font-size: x-large;
}

::ng-deep .mat-expansion-panel-header.c-mat-expansion-panel-header {
  height: 80px !important;
  background-color: #F3F3FE;
  height: 100px;
}

.mat-expansion-panel-header.mat-expanded,
.mat-expansion-panel-header.mat-expanded:hover,
.mat-expansion-panel-header.mat-expanded:focus {
  background-color: #F3F3FE;
}

.mat-expansion-panel-header,
.mat-expansion-panel-header:hover,
.mat-expansion-panel-header:focus {
  background-color: #E5E5E5;
}

.mat-accordion .mat-expansion-panel:first-of-type {
  border-top-right-radius: 0px;
  border-top-left-radius: 0px;
}

.mat-expansion-panel {
  background: none;
  margin-bottom: 0px;
  margin-top: 0px;
}

.mat-expansion-panel-header {
  display: flex;
  flex-direction: row;
  padding: 0 10px;
  align-items: center;
  border-radius: inherit;
}

.mat-expansion-panel-header {
  border-bottom: 1px solid #eee;
  border-radius: 0;
  margin-bottom: 0px;
  margin-top: 0px;
}

.material-icons-style {
  font-size: 30px;
  padding: 0;
  color: #7a62b4;
}

.item-type-heading {
  font-size: 16px;
}

.item-type-description {
  font-size: 12px;
  padding: 0;
}

.radio-button-style {
  border: 1px solid #DADADA;
  height: 54px;
  width: 100%;
  margin-left: 0px;
  border-radius: 4px;
  background: #FFFFFF;
}

.button-size {
  height: 45px;
  width: 45px;
  text-align: center;
  background-color: dodgerblue;
}

.mat-icon {
  margin-right: 0rem;
}

.button-border {
  border: 1px solid #eee;
  padding: 5px;
  width: 58px;
  height: 58px;
}

.radio-group-vertical {
  display: flex;
  flex-direction: column;
  margin: 15px 0;
  width: 100%;
}

::ng-deep .radio-group-vertical .mat-checkbox-layout {
  width: 100% !important;
}

  ::ng-deep .radio-group-vertical .mat-checkbox-layout .mat-checkbox-label {
    width: 100% !important;
  }

.normal-checkbox .mat-checkbox-inner-container {
  height: 26px;
  width: 26px;
}

.disabledDiv {
  pointer-events: none;
}

.k-slider-horizontal {
  display: inline-flex;
  flex-flow: row nowrap;
  width: 100% !important;
  height: 26px;
}

.k-dateinput,
.k-datepicker,
.k-datetimepicker,
.k-timepicker {
  height: 40px;
}

mat-slider {
  width: 300px;
}

.k-upload {
  width: 100%;
}

.dd-height {
  height: 750px;
}

div.scroll {
  overflow-x: auto;
  overflow-y: hidden;
  white-space: nowrap;
}

.label:after {
  content: "\A";
  white-space: pre;
}

.matinputwrapper {
  width: 100% !important;
}

.prvieww-row {
  display: -webkit-box;
  display: flex;
  flex-wrap: wrap;
  margin-right: -15px;
  align-items: flex-start !important;
}

.mat-expansion-panel-header-description-accord {
  direction: ltr;
}

.delete-button-left {
  float: left;
}

.bottom {
  position: static;
  bottom: 0px;
  left: 0px;
}

::ng-deep .mat-stroked-button-delete {
  background: #D41515 !important;
  box-shadow: 0px 2px #394085 !important;
  width: 90px !important;
  color: #ffffff !important;
  border: 1px solid #394085 !important;
}

.mat-stroked-button.mat-stroked-button-delete:not([disabled]):active:not([class*=mat-elevation-z]) {
  background-color: #ffdfdf !important;
  box-shadow: 0px 2px #394085 !important;
  border: 1px solid #ffdfdf;
  color: #394085 !important;
}


/* Style the tab content */

.tabcontent-no-item {
  min-height: 380px;
}


/* Style buttons */

#templatename-field .mat-form-field-outline .btn {
  background-color: #7a62b4;
  /* Blue background */
  border: none;
  /* Remove borders */
  color: white;
  /* White text */
  padding: 0;
  margin: 0;
  text-align: center;
  font-weight: bold;
  font-size: 25px;
  vertical-align: middle;
  border-radius: 25px;
  width: 95px;
  height: 40px;
}


/* Darker background on mouse-over */

.user-count {
  padding-left: 12px;
}

.speciality-name {
  font-weight: bold;
  color: #3c3d42;
  font-size: x-large;
}

.speciality-location {
  font-weight: bold;
  font-size: x-large;
  top: 0;
  color: #999595;
}

a:link {
  text-decoration: none;
}

.no-active {
  background: white;
  padding-left: 15px;
  padding-right: 15px;
  border-bottom: 1px solid #eee;
  cursor: pointer;
}

.active {
  background: #d2c5f0;
  padding-left: 15px;
  padding-right: 15px;
  border-bottom: 1px solid #eee;
  cursor: pointer;
}

.div-scroll {
  overflow-y: auto;
  height: 750px;
}

.div-item-scroll {
  overflow-y: auto;
  height: 825px;
}

.image-border {
  border: 1px solid #3d3c41;
}

.error-display {
  font-size: 30px;
  color: red;
  margin: auto;
  float: right;
}


/* css Design Start */

.button-height-wrapper {
  margin-top: 5px;
  width: 100%;
}

.button-text-wrapper {
  font-size: 16px;
  line-height: 16px;
  font-weight: 700;
  color: #FFFFFF;
  letter-spacing: 0.15px;
  text-align: center;
  font-family: Helvetica Neue, Helvetica, Arial, sans-serif;
}

::ng-deep .mat-expansion-indicator {
  padding: 24px 29px 29px 0px;
  color: #00AEEF;
}

::ng-deep .mat-expansion-panel-header.mat-expanded .mat-expansion-indicator {
  padding: 0px 0px 0px 30px;
}

.mattitle-wrapper {
  padding: 18px 0px 7px 0px;
  font-size: 19px;
  line-height: 26px;
  font-style: normal;
  font-weight: bold;
  color: #1C1C1C;
}

.matdesc-wrapper {
  padding-bottom: 19px;
  font-size: 16px;
  line-height: 18px;
  font-style: normal;
  font-weight: normal;
  color: #394085;
}

.mat-expansion-panel-body {
  padding: 0px 0px 0px !important;
}

.checkboxtext-wrapper {
  font-size: 15px;
  line-height: 19px;
  font-style: normal;
  font-weight: normal;
  color: #939393;
}

.chartimg-wrapper {
  height: 402px;
  width: 100%;
  padding: 0px 29px 30px 14px;
  border-style: none;
  margin: 0;
  float: left;
}

.delete-wrapper {
  height: 42px;
  width: 117px;
  margin: 15px 0px 23px 29px;
}

::ng-deep .mat-checkbox-checked.mat-accent .mat-checkbox-background {
  background-color: #A18BD6;
}


/* 
.traetmentdate-wrapper {
    padding: 5px 19px 23px 0px;
} */

::ng-deep .k-datepicker .k-picker-wrap {
  border-radius: 4px;
}

::ng-deep .k-datepicker .k-select,
.k-timepicker .k-select,
.k-datetimepicker .k-select,
.k-dateinput .k-select {
  border-color: rgb(0 0 0 / 0%);
  color: #656565f2;
  background-color: #f6f6f600;
  background-image: -webkit-gradient(linear, left top, left bottom, from(#f6f6f6), to(#f1f1f1));
  background-image: linear-gradient(#f6f6f600, #f1f1f100);
}

::ng-deep .k-timepicker .k-select,
.k-datetimepicker .k-select,
.k-dateinput .k-select {
  border-color: rgb(0 0 0 / 0%);
  color: #656565f2;
  background-color: #f6f6f600;
  background-image: -webkit-gradient(linear, left top, left bottom, from(#f6f6f6), to(#f1f1f1));
  background-image: linear-gradient(#f6f6f600, #f1f1f100);
}

::ng-deep .k-datepicker .k-select:hover,
.k-datepicker .k-select.k-state-hover,
.k-timepicker .k-select:hover,
.k-timepicker .k-select.k-state-hover {
  border-color: rgb(0 0 0 / 0%);
  color: #656565;
  background-color: #ededed00;
  background-image: -webkit-gradient(linear, left top, left bottom, from(#ededed), to(#e8e8e8));
  background-image: linear-gradient(#ededed00, #e8e8e800);
}

::ng-deep .k-timepicker .k-select:hover,
.k-timepicker .k-select.k-state-hover {
  border-color: rgb(0 0 0 / 0%);
  color: #656565;
  background-color: #ededed00;
  background-image: -webkit-gradient(linear, left top, left bottom, from(#ededed), to(#e8e8e8));
  background-image: linear-gradient(#ededed00, #e8e8e800);
}

.dash-wrapper {
  height: 29px;
  width: 29px;
  border-radius: 50%;
  border: 1px solid #959595;
  display: flex;
  align-items: center;
  cursor: pointer;
  justify-content: center;
  background: #F5F5F5;
  /* margin-left: -16px; */
}

.droupdowntext-wrapper {
  padding-top: 30px;
  padding-right: 0;
  font-size: 16px;
  line-height: 19px;
  font-style: normal;
  font-weight: normal;
  color: #939393;
}


/* ::ng-deep .mat-radio-inner-circle {
    padding: 12px 9px 16px 21px;
} */

.adddrowpdown-wrapper {
  float: left;
  margin-bottom: 20px;
  border: 0.5px solid rgba(171, 170, 176, 0.5);
  padding: 8px 9px;
  border-radius: 3px;
  background: #FFFFFF;
}

.defaulttext-wrapper {
  font-size: 12px;
  line-height: 14px;
  font-style: normal;
  font-weight: normal;
  color: #00AEEF;
  text-decoration-line: underline !important;
}

::ng-deep .mat-checkbox-inner-container {
  height: 23px !important;
  width: 23px !important;
}

.tabletext-wrapper {
  font-style: normal;
  font-size: 16px;
  line-height: 19px;
  font-weight: normal;
  color: #939393;
  padding-bottom: 17px;
}

.k-editor {
  border-radius: 4px;
}

.priviewheader-wrapper {
  padding: 10px 0px 13px 26px;
  font-size: 18px;
  line-height: 17px;
  font-weight: bold;
  font-style: normal;
  word-break: break-all;
}

.previewlabel-wrapper {
  word-break: break-all;
}

.datetimepreview-wrapper {
  height: 54px;
  border: 1px solid #DADADA;
  border-radius: 4px;
}

.common-border {
  border: 1px solid #DADADA;
  border-radius: 4px;
}

::ng-deep .preciewradio-wrapper .mat-radio-container {
  padding: 28px 15px 2px 25px;
}

::ng-deep .preciewradio-wrapper .mat-radio-label-content {
  font-size: 16px;
  line-height: 19px;
  font-weight: 400;
  font-family: Helvetica Neue, Helvetica, Arial, sans-serif;
  font-style: normal;
  color: #939393;
  padding: 0px 15px 0px 6px;
}

::ng-deep .mat-radio-button.mat-accent.mat-radio-checked .mat-radio-outer-circle {
  border-color: #a18bd6 !important;
}

::ng-deep .mat-radio-button.mat-accent .mat-radio-inner-circle {
  background-color: #a18bd6 !important;
}

::ng-deep .previewcheckbox-wrapper .mat-checkbox-label {
  font-size: 16px;
  line-height: 19px;
  font-weight: 400;
  font-family: Helvetica Neue, Helvetica, Arial, sans-serif;
  font-style: normal;
  color: #939393;
  padding-left: 11px;
  display: flex;
  align-items: center;
}

.textbox-style {
  border: 1px solid #DADADA;
  width: 50%;
  height: 40px;
  border-radius: 4px;
}

.c-text-inner {
  padding-right: 15px;
  max-width: 50%;
  width: 50%;
  white-space: normal;
  word-break: break-all;
}

::ng-deep .k-slider .k-button {
  display: none;
}

::ng-deep .k-slider-horizontal .k-tick {
  background-image: url('data:image/jpeg;base64,/9j/4AAQSkZJRgABAQEAYABgAAD/2wBDAAIBAQIBAQICAgICAgICAwUDAwMDAwYEBAMFBwYHBwcGBwcICQsJCAgKCAcHCg0KCgsMDAwMBwkODw0MDgsMDAz/2wBDAQICAgMDAwYDAwYMCAcIDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAz/wAARCAABAAEDASIAAhEBAxEB/8QAHwAAAQUBAQEBAQEAAAAAAAAAAAECAwQFBgcICQoL/8QAtRAAAgEDAwIEAwUFBAQAAAF9AQIDAAQRBRIhMUEGE1FhByJxFDKBkaEII0KxwRVS0fAkM2JyggkKFhcYGRolJicoKSo0NTY3ODk6Q0RFRkdISUpTVFVWV1hZWmNkZWZnaGlqc3R1dnd4eXqDhIWGh4iJipKTlJWWl5iZmqKjpKWmp6ipqrKztLW2t7i5usLDxMXGx8jJytLT1NXW19jZ2uHi4+Tl5ufo6erx8vP09fb3+Pn6/8QAHwEAAwEBAQEBAQEBAQAAAAAAAAECAwQFBgcICQoL/8QAtREAAgECBAQDBAcFBAQAAQJ3AAECAxEEBSExBhJBUQdhcRMiMoEIFEKRobHBCSMzUvAVYnLRChYkNOEl8RcYGRomJygpKjU2Nzg5OkNERUZHSElKU1RVVldYWVpjZGVmZ2hpanN0dXZ3eHl6goOEhYaHiImKkpOUlZaXmJmaoqOkpaanqKmqsrO0tba3uLm6wsPExcbHyMnK0tPU1dbX2Nna4uPk5ebn6Onq8vP09fb3+Pn6/9oADAMBAAIRAxEAPwD9/KKKKAP/2Q==')
}

::ng-deep .k-slider-horizontal .k-slider-buttons .k-slider-track {
  height: 12px;
  border-radius: 6px;
  background: #DCDCDC;
  border: 0.5px solid #D6D6D6;
}

::ng-deep .k-slider .k-slider-selection {
  background-color: #39408500;
}

::ng-deep .k-slider .k-draghandle {
  border-color: #A18BD6;
  background-color: #A18BD6;
}

table,
td {
  color: #abaab0;
  border: 1px solid #dadada;
  /* width: 1%; */
  word-break: break-word;
}

.table-row-wrapper {
  border: 1px solid #dadada;
  word-break: break-word;
}

.texttable {
  border-radius: 4px;
}

.matinputtablewrapper {
  width: 100%;
  padding: 11px 9px 0px 10px;
  margin-bottom: -9px;
}


/* .matinputtablewrapper {
  width: 75px !important;
} */

table th {
  height: 60px;
}

.tbldatatd {
  width: auto;
  text-align: left;
  font-size: 16px;
  line-height: 19px;
  font-style: normal;
  font-weight: normal;
  color: #939393;
  padding-left: 5px;
  padding-right: 5px;
}

.c-flex-box {
  display: flex;
  /* align-items: center; */
}

.c-width {
  max-width: 20%;
  min-width: 20%;
  word-break: break-word;
}

th {
  max-width: 50px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.option-button-wrapper {
  margin-right: 10px;
  margin-bottom: 12px;
  min-height: 44px;
  height: auto;
}

  .option-button-wrapper button {
    margin-right: 10px;
    margin-bottom: 12px;
  }

.option-checkbox {
  margin-right: 20px;
}

::ng-deep .vitalpreview-wrapper .mat-form-field {
  width: 100%;
}

::ng-deep .k-multiselect .k-multiselect-wrap {
  overflow-y: scroll;
}

.filepreview-wrapper {
  height: 278px;
  border: 1px solid #D5D5D5;
  background: #FAFAFA;
  display: flex;
  align-items: center;
  justify-content: center;
}


/* Css Design End */


/* Scrollbar Css */

::-webkit-scrollbar {
  width: 5px;
  height: 5px;
}

::-webkit-scrollbar-thumb {
  border-radius: 10px;
  background: rgb(78, 77, 77);
}

::-webkit-scrollbar:hover {
  width: 10px !important;
}

::-webkit-scrollbar-thumb:hover {
  background: rgb(78, 77, 77);
  width: 10px !important;
}

@media screen and (max-width:1900px) {
  .c-col-xl-6 {
    -webkit-box-flex: 0;
    flex: 0 0 100%;
    max-width: 100%;
    margin-bottom: 10px;
    margin-top: 10px;
  }
}

::ng-deep .c-input-table .mat-form-field-infix {
  width: auto !important;
}

.treatinfo-wrapper {
  height: auto;
  background: #F3F3FE;
  box-shadow: 3px 1px 4px rgb(0 0 0 / 25%);
  border-radius: 4px;
  margin: 0px 45px 0px 45px;
  padding: 20px 0px 7px 5px;
  display: flex;
  align-items: flex-start;
}

  .treatinfo-wrapper img {
    margin-right: 10px;
  }

.spine-check span {
  min-width: 46px;
}

::ng-deep .cc-mat-checkbox label {
  margin-top: 0.3rem;
  margin-bottom: 0.3rem;
}

::ng-deep .matinputtablewrapper .mat-form-field-infix {
  width: auto !important;
}

.o-measure-table {
  margin-bottom: 30px;
}

  .o-measure-table th {
    white-space: normal;
    text-align: center;
    border-right: 1px solid #dadada;
    border-bottom: 1px solid #dadada;
    min-width: 50px;
  }

::ng-deep .radiocheckboxpreview .mat-radio-label-content {
  margin: 2px 2px 0px 12px;
}

.deletebutton:hover {
  background: #D41515 !important;
}

.deletebutton-wrapper {
  width: 90px;
  height: 42px;
}

.deletebutton {
  background: #D41515 !important;
  box-shadow: 0px 2px #394085 !important;
  width: 90px;
  border: 1px solid #394085;
  padding: unset !important;
}

.c-text-inner-large {
  padding-right: 15px;
  max-width: 315px;
  white-space: normal;
  word-break: break-all;
}

.c-option-button-wrapper {
  display: flex;
  flex-wrap: wrap;
}

.tlbs-list {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.c-itemtype-wrapper {
  width: 100% !important;
  height: 54px !important;
}

::ng-deep .c-itemtype-wrapper .k-input {
  height: auto !important;
}

@media screen and (max-width:1200px) {
  .bottom-bar-wrapper {
    padding-bottom: 15px;
  }
}
